Compiling ascp-0.9.4, help?

Albert Schueller (schuelaw@whitman.edu)
Thu, 21 Jan 1999 15:07:38 -0800


Thu Jan 21 15:07:33 PST 1999

Hi,

I have a stock Redhat 5.1 installation and I'm trying to install ascp-0.9.4
for use with AfterStep-1.6.6.  I've fought through various issues:
upgraded to the latest gtk, latest glib and latest imlib.  I now have the
following error:

	(stuff deleted that looks basically ok)
	gcc audio.o autoexec.o animate.o base.o database.o gui.o help.o main.o
	pager.o wharf.o xpm.o -o ascp -L/usr/local/lib -L/usr/X11R6/lib -lgtk 
	-lgdk -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm
	wharf.o: In function `ascp_draw_wharf':
	wharf.o(.text+0x1f8): undefined reference to `gtk_ctree_set_reorderable'
	make[1]: *** [ascp] Error 1
	make[1]: Leaving directory
	`/distribution/tarballs/AfterStep/ascp-0.9.4/src'
	make: *** [all] Error 1


I'm getting sort of punchy now and was wondering if anybody could help me
out.  I assume I'm still missing some library, but don't know which one.

Albert

-- 
Albert Schueller                                 Department of Mathematics
Office Phone:  509-522-4432                      Whitman College
Public Key:  http://carrot.whitman.edu/pgp.key   Walla Walla, WA USA 99362

--
   WWW:   http://www.afterstep.org/
   FTP:   ftp://ftp.afterstep.org/
   MAIL:  http://www.caldera.com/linuxcenter/forums/afterstep.html